<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     Seller.Itemexhibit.Untrans
 * @author      FUCO M.Kanda
 * @access      public
 */
class Seller_Itemexhibit_Untrans_List
{

	var $preaction;
	var $check;
	
	var $c_itemexhibit;
	
	var $auth;             //Authオブジェクトを取得
	var $membercd;

    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Seller_Itemexhibit_Untrans_Listが実行されました", "Seller_Itemexhibit_Untrans_List#execute");
        $this->memberCd = $this->auth->getAuthData("membercd");
        return 'success';
    }
    
    function getPreaction()
	{
    	return $this -> preaction;
	}

	function setPreaction($preaction)
	{
    	$this -> preaction = $preaction;
	}
	
	function getCheck()
	{
	    return $this -> check;
	}
	
	function setCheck($check)
	{
	    $this -> check = $check;
	}
	
	function getSelledNotSendList(){
		return $this->c_itemexhibit->getSelledNotSendList($this->memberCd);
	}

    function getVariationNm($params)
    {
        return $this->c_itemexhibit->getVariationNm($params["itemcd"], $params["structcd"]);
    }
}
?>
